// -----------------------------------------------------------------------------
//
// Author(s):     Peter Schraut (www.console-dev.de)
// Last Modified: 17th August 2005
//
// Purpose:       Demo shows how to use the SplashUnComp function in conjunction
//                with a LZ77 compressed graphic.
//
// Note:
//                Please take a look at the makefile, since the
//                graphic conversion commandline has been extended.
//                See HEL-FAQ for GBACrusherCL.exe
//
// -----------------------------------------------------------------------------
#include <hel.h>
#include "ResourceData.h"


// -----------------------------------------------------------------------------
// Program Entry Point
// -----------------------------------------------------------------------------
int main(void)
{
    ham_Init();
    hel_SysSetPrefetch(TRUE);
    ham_SetBgMode(4);
    
    for(;;)
    {
      hel_SplashUnComp
        (
          ResData(RES_SPLASHHEL_RAW_RLE), // pBitmap
          ResData(RES_SPLASHHEL_PAL_RLE), // pPalette
          SPLASH_TYPE_BLACK,              // SplashTypeIn
          SPLASH_TYPE_BLACK,              // SplashTypeOut
          6,                              // FadeInSpeed
          6,                              // FadeOutSpeed
          40,                             // WaitFrames
          16,                             // AfterWaitFrames
          COMPRESSION_TYPE_LZ77VRAM       // Compressiontype
        );
    }
    
    return 0;
}


